<?php
namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\City;
use App\Models\Country;
use App\Models\Neighborhood;
use Illuminate\Http\Request;

Class LocationController extends Controller{

    private $location_address = "admin.manage.locations.";

    /* ====================== VIEWS START ====================== */
    public function countries(){
        $data = [];
        $data["data"] = Country::paginate(15);
        return view($this->location_address.'countries', $data);
    }

    public function cities(){
        $data = [];
        $data["countries"] = Country::all();
        $data["data"] = City::paginate(15);
        return view($this->location_address.'cities', $data);
    }

    public function neighborhoods(){ 
        $data = [];
        $data["cities"] = City::all();
        $data["data"] = Neighborhood::paginate(15);
        return view($this->location_address.'neighborhoods', $data);
    }
    /* ====================== VIEW END ====================== */


    /* ======================== POST FUNCTIONS  ======================= */
    public function storeCountry(Request $request){
        $query = null;
        $inputs = $request->all();
        $query = Country::create($inputs);
        if($query){
            return response()->json(['message' => "Record Added!"]);
        } else {
            return $this->senderror("Something went wrong!", 404);
        }
    }
    public function updateCountry(Request $request, $id)
    {
        $query = null;
        $inputs = $request->except(["_method"]);
        $query = Country::where("id", $id)->update($inputs);
        if($query) {
            return response()->json(['message' => "Record Updated!"]);
        } else {
            return $this->senderror("Something went wrong!", 404); 
        }
    }
    public function destoryCountry($id){
        $query = null;
        $query = Country::where("id", $id)->delete();
	    if($query) {
            return response()->json(['message' => "Record Deleted!"]);
        } else {
            return $this->senderror("Something went wrong!", 404);
        }
    }


    public function storeCity(Request $request){
        $query = null;
        $inputs = $request->all();
        $query = City::create($inputs);
        if($query){
            return response()->json(['message' => "Record Added!"]);
        } else {
            return $this->senderror("Something went wrong!", 404);
        }
    }
    public function updateCity(Request $request, $id)
    {
        $query = null;
        $inputs = $request->except(["_method"]);
        $query = City::where("id", $id)->update($inputs);
        if($query) {
            return response()->json(['message' => "Record Updated!"]);
        } else {
            return $this->senderror("Something went wrong!", 404); 
        }
    }
    public function destoryCity($id){
        $query = null;
        $query = City::where("id", $id)->delete();
	    if($query) {
            return response()->json(['message' => "Record Deleted!"]);
        } else {
            return $this->senderror("Something went wrong!", 404);
        }
    }


    public function storeNeighborhood(Request $request){
        $query = null;
        $inputs = $request->all();
        $query = Neighborhood::create($inputs);
        if($query){
            return response()->json(['message' => "Record Added!"]);
        } else {
            return $this->senderror("Something went wrong!", 404);
        }
    }
    public function updateNeighborhood(Request $request, $id)
    {
        $query = null;
        $inputs = $request->except(["_method"]);
        $query = Neighborhood::where("id", $id)->update($inputs);
        if($query) {
            return response()->json(['message' => "Record Updated!"]);
        } else {
            return $this->senderror("Something went wrong!", 404); 
        }
    }
    public function destoryNeighborhood($id){
        $query = null;
        $query = Neighborhood::where("id", $id)->delete();
	    if($query) {
            return response()->json(['message' => "Record Deleted!"]);
        } else {
            return $this->senderror("Something went wrong!", 404);
        }
    }
    /* ====================== POST FUNCTIONS END ====================== */
}