<?php

namespace App\Http\Controllers;

use App\Models\Accuracy;
use App\Models\CarolinaCaseStudyQuestion;
use App\Models\CarolinaStrategicDataGethering;
use App\Models\CollabrativeActionPlan;
use App\Models\CommunicationActionPlan;
use App\Models\EmotionalExpression;
use App\Models\EvaluatingYourMap;
use App\Models\FinalReflection;
use App\Models\Harmony;
use App\Models\Independency;
use App\Models\InterpersonalConnection;
use App\Models\MindsetActionPlan;
use App\Models\PartFourReflectionExercise;
use App\Models\PartThreeReflectionExercise;
use App\Models\PartTwoReflectionExercise;
use App\Models\PartTwoReflectionExerciseTwo;
use App\Models\ReflectionExercise;
use App\Models\SeanCaseStudyQuestion;
use App\Models\SelfAwarenessActionPlan;
use App\Models\StrategicNetworkingActionPlan;
use App\Models\Visibility;
use App\Models\YourNetworkMap;
use App\Models\YourStrategicDataGethering;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class PageController extends Controller
{
   /* ====================== VIEWS START ====================== */
    
    public function home() { // ----- > First Page 
        $data = [];
        return view('website/home', $data);
    }

    public function step2_1() { // ----- > Program Learning Modules Page 1 
        $data = [];
        return view('website/pages/program_learning_2', $data);
    }

    public function step2_2(Request $request) { // ----- > Reflection Exercise 
        $data = [];
        $data["data"] = ReflectionExercise::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/reflection', $data);
    }

    /* ======== Part One Pages ========*/
    public function part1_1(Request $request) { // ----- > Reflection Exercise 
        $data = []; 
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = ReflectionExercise::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            ReflectionExercise::create($inputs);
        } else {
            ReflectionExercise::where("user_id", $request->user("user")->id)->update($inputs);
        }
        
        return view('website/pages/part_one/1', $data);
    }
    public function part1_2() { // ----- > Reflection Exercise 
        $data = [];
        return view('website/pages/part_one/2', $data);
    }
    public function part1_3(Request $request) { 
        $data = [];
        $data["data"] = InterpersonalConnection::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/3', $data);
    }
    public function part1_4(Request $request) { 
        $data = [];

        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = InterpersonalConnection::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            InterpersonalConnection::create($inputs);
        } else {
            InterpersonalConnection::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = Visibility::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/4', $data);
    }
    public function part1_5(Request $request) { 
        $data = [];

        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = Visibility::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            Visibility::create($inputs);
        } else {
            Visibility::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = Harmony::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/5', $data);
    }
    public function part1_6(Request $request) { 
        $data = [];

        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = Harmony::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            Harmony::create($inputs);
        } else {
            Harmony::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = Independency::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/6', $data);
    }
    public function part1_7(Request $request) { 
        $data = [];

        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = Independency::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            Independency::create($inputs);
        } else {
            Independency::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = Accuracy::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/7', $data);
    }
    public function part1_8(Request $request) { 
        $data = [];

        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = Accuracy::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            Accuracy::create($inputs);
        } else {
            Accuracy::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = EmotionalExpression::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/8', $data);
    }
    public function part1_9(Request $request) { 
        $data = [];

        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = EmotionalExpression::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            EmotionalExpression::create($inputs);
        } else {
            EmotionalExpression::where("user_id", $request->user("user")->id)->update($inputs);
        }
        
        $data["data_1"] = InterpersonalConnection::where("user_id", $request->user("user")->id)->first();
        $data["count_1"] = $data["data_1"]->row_1 + $data["data_1"]->row_2 + $data["data_1"]->row_3 + $data["data_1"]->row_4;

        $data["data_2"] = Visibility::where("user_id", $request->user("user")->id)->first();
        $data["count_2"] = $data["data_2"]->row_1 + $data["data_2"]->row_2 + $data["data_2"]->row_3 + $data["data_2"]->row_4;

        $data["data_3"] = Harmony::where("user_id", $request->user("user")->id)->first();
        $data["count_3"] = $data["data_3"]->row_1 + $data["data_3"]->row_2 + $data["data_3"]->row_3 + $data["data_3"]->row_4;

        $data["data_4"] = Independency::where("user_id", $request->user("user")->id)->first();
        $data["count_4"] = $data["data_4"]->row_1 + $data["data_4"]->row_2 + $data["data_4"]->row_3 + $data["data_4"]->row_4;

        $data["data_5"] = Accuracy::where("user_id", $request->user("user")->id)->first();
        $data["count_5"] = $data["data_5"]->row_1 + $data["data_5"]->row_2 + $data["data_5"]->row_3 + $data["data_5"]->row_4;

        $data["data_6"] = EmotionalExpression::where("user_id", $request->user("user")->id)->first();
        $data["count_6"] = $data["data_6"]->row_1 + $data["data_6"]->row_2 + $data["data_6"]->row_3 + $data["data_6"]->row_4;

        return view('website/pages/part_one/9', $data);
    }

    public function part1_10(Request $request) { 
        $data = [];
        $data["data_1"] = InterpersonalConnection::where("user_id", $request->user("user")->id)->first();
        $data["count_1"] = $data["data_1"]->row_1 + $data["data_1"]->row_2 + $data["data_1"]->row_3 + $data["data_1"]->row_4;
        return view('website/pages/part_one/10', $data);
    }
    public function part1_11(Request $request) { 
        $data = [];
        $data["data_1"] = InterpersonalConnection::where("user_id", $request->user("user")->id)->first();
        $data["count_1"] = $data["data_1"]->row_1 + $data["data_1"]->row_2 + $data["data_1"]->row_3 + $data["data_1"]->row_4;
        return view('website/pages/part_one/11', $data);
    }
    public function part1_12(Request $request) { 
        $data = [];
        $data["data_2"] = Visibility::where("user_id", $request->user("user")->id)->first();
        $data["count_2"] = $data["data_2"]->row_1 + $data["data_2"]->row_2 + $data["data_2"]->row_3 + $data["data_2"]->row_4;
        return view('website/pages/part_one/12', $data);
    }
    public function part1_13(Request $request) { 
        $data = [];
        $data["data_2"] = Visibility::where("user_id", $request->user("user")->id)->first();
        $data["count_2"] = $data["data_2"]->row_1 + $data["data_2"]->row_2 + $data["data_2"]->row_3 + $data["data_2"]->row_4;
        return view('website/pages/part_one/13', $data);
    }
    public function part1_14(Request $request) { 
        $data = [];
        $data["data_3"] = Harmony::where("user_id", $request->user("user")->id)->first();
        $data["count_3"] = $data["data_3"]->row_1 + $data["data_3"]->row_2 + $data["data_3"]->row_3 + $data["data_3"]->row_4;
        return view('website/pages/part_one/14', $data);
    }
    public function part1_15(Request $request) { 
        $data = [];
        $data["data_3"] = Harmony::where("user_id", $request->user("user")->id)->first();
        $data["count_3"] = $data["data_3"]->row_1 + $data["data_3"]->row_2 + $data["data_3"]->row_3 + $data["data_3"]->row_4;
        return view('website/pages/part_one/15', $data);
    }
    public function part1_16(Request $request) { 
        $data = [];
        $data["data_4"] = Independency::where("user_id", $request->user("user")->id)->first();
        $data["count_4"] = $data["data_4"]->row_1 + $data["data_4"]->row_2 + $data["data_4"]->row_3 + $data["data_4"]->row_4;
        return view('website/pages/part_one/16', $data);
    }
    public function part1_17(Request $request) { 
        $data = [];
        $data["data_4"] = Independency::where("user_id", $request->user("user")->id)->first();
        $data["count_4"] = $data["data_4"]->row_1 + $data["data_4"]->row_2 + $data["data_4"]->row_3 + $data["data_4"]->row_4;
        return view('website/pages/part_one/17', $data);
    }
    public function part1_18(Request $request) { 
        $data = [];
        $data["data_5"] = Accuracy::where("user_id", $request->user("user")->id)->first();
        $data["count_5"] = $data["data_5"]->row_1 + $data["data_5"]->row_2 + $data["data_5"]->row_3 + $data["data_5"]->row_4;
        return view('website/pages/part_one/18', $data);
    }
    public function part1_19(Request $request) { 
        $data = [];
        $data["data_5"] = Accuracy::where("user_id", $request->user("user")->id)->first();
        $data["count_5"] = $data["data_5"]->row_1 + $data["data_5"]->row_2 + $data["data_5"]->row_3 + $data["data_5"]->row_4;
        return view('website/pages/part_one/19', $data);
    }
    public function part1_20(Request $request) { 
        $data = [];
        $data["data_6"] = EmotionalExpression::where("user_id", $request->user("user")->id)->first();
        $data["count_6"] = $data["data_6"]->row_1 + $data["data_6"]->row_2 + $data["data_6"]->row_3 + $data["data_6"]->row_4;
        return view('website/pages/part_one/20', $data);
    }
    public function part1_21(Request $request) { 
        $data = [];
        $data["data_6"] = EmotionalExpression::where("user_id", $request->user("user")->id)->first();
        $data["count_6"] = $data["data_6"]->row_1 + $data["data_6"]->row_2 + $data["data_6"]->row_3 + $data["data_6"]->row_4;
        return view('website/pages/part_one/21', $data);
    }

    public function part1_22(Request $request) { 
        $data = [];
        $data["data"] = SelfAwarenessActionPlan::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/22', $data);
    }
    
    public function part1_23(Request $request) { 
        $data = [];
        
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;

        $data["data_1"] = InterpersonalConnection::where("user_id", $request->user("user")->id)->first();
        $data["count_1"] = $data["data_1"]->row_1 + $data["data_1"]->row_2 + $data["data_1"]->row_3 + $data["data_1"]->row_4;

        $query = SelfAwarenessActionPlan::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            SelfAwarenessActionPlan::create($inputs);
        } else {
            SelfAwarenessActionPlan::where("user_id", $request->user("user")->id)->update($inputs);
        }
        return view('website/pages/part_one/23', $data);
    }

    public function part1_24(Request $request) { 
        $data = [];
        $data["data_2"] = Visibility::where("user_id", $request->user("user")->id)->first();
        $data["count_2"] = $data["data_2"]->row_1 + $data["data_2"]->row_2 + $data["data_2"]->row_3 + $data["data_2"]->row_4;
        return view('website/pages/part_one/24', $data);
    }
    public function part1_25(Request $request) { 
        $data = [];
        $data["data_3"] = Harmony::where("user_id", $request->user("user")->id)->first();
        $data["count_3"] = $data["data_3"]->row_1 + $data["data_3"]->row_2 + $data["data_3"]->row_3 + $data["data_3"]->row_4;
        return view('website/pages/part_one/25', $data);
    }
    public function part1_26(Request $request) { 
        $data = [];
        $data["data_4"] = Independency::where("user_id", $request->user("user")->id)->first();
        $data["count_4"] = $data["data_4"]->row_1 + $data["data_4"]->row_2 + $data["data_4"]->row_3 + $data["data_4"]->row_4;
        return view('website/pages/part_one/26', $data);
    }
    public function part1_27(Request $request) { 
        $data = [];
        $data["data_5"] = Accuracy::where("user_id", $request->user("user")->id)->first();
        $data["count_5"] = $data["data_5"]->row_1 + $data["data_5"]->row_2 + $data["data_5"]->row_3 + $data["data_5"]->row_4;
        return view('website/pages/part_one/27', $data);
    }
    public function part1_28(Request $request) { 
        $data = [];
        $data["data_6"] = EmotionalExpression::where("user_id", $request->user("user")->id)->first();
        $data["count_6"] = $data["data_6"]->row_1 + $data["data_6"]->row_2 + $data["data_6"]->row_3 + $data["data_6"]->row_4;
        return view('website/pages/part_one/28', $data);
    }
    public function part1_29(Request $request) {
        $data = [];
        $data["data"] = PartThreeReflectionExercise::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_one/29', $data);
    }
    /* ====== Part One Pages End ======*/
    
 
    /* ======== Part Two Pages ========*/
    public function part2_1(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = PartThreeReflectionExercise::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            PartThreeReflectionExercise::create($inputs);
        } else {
            PartThreeReflectionExercise::where("user_id", $request->user("user")->id)->update($inputs);
        }
        return view('website/pages/part_two/1', $data);
    }

    public function part2_1_1(Request $request) {
        $data = [];
        $data["data"] = PartTwoReflectionExerciseTwo::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_two/1_1', $data);
    }

    public function part2_2(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = PartTwoReflectionExerciseTwo::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            PartTwoReflectionExerciseTwo::create($inputs);
        } else {
            PartTwoReflectionExerciseTwo::where("user_id", $request->user("user")->id)->update($inputs);
        }
        return view('website/pages/part_two/2', $data);
    }
    public function part2_3(Request $request) {
        $data = [];
        $data["data"] = PartTwoReflectionExercise::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_two/3', $data);
    }
    public function part2_4(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = PartTwoReflectionExercise::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            PartTwoReflectionExercise::create($inputs);
        } else {
            PartTwoReflectionExercise::where("user_id", $request->user("user")->id)->update($inputs);
        }
        return view('website/pages/part_two/4', $data);
    }
    public function part2_5(Request $request) {
        $data = [];
        $data["data"] = CollabrativeActionPlan::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_two/5', $data);
    }
    /* ====== Part Two Pages End ======*/


    /* ======== Part Three Pages ========*/
    public function part3_1(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = CollabrativeActionPlan::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            CollabrativeActionPlan::create($inputs);
        } else {
            CollabrativeActionPlan::where("user_id", $request->user("user")->id)->update($inputs);
        }
        return view('website/pages/part_three/1', $data);
    }

    // public function part3_1_1(Request $request) {
    //     $data = [];
    //     $data["data"] = PartThreeReflectionExercise::where("user_id", $request->user("user")->id)->first();
    //     return view('website/pages/part_three/1_1', $data);
    // }

    public function part3_2(Request $request) {
        $data = [];
        // $query = null;
        // $inputs = $request->all();
        // $inputs["user_id"] = $request->user("user")->id;
        
        // $query = PartThreeReflectionExercise::where("user_id", $request->user("user")->id)->first();
        // if(!$query){
        //     PartThreeReflectionExercise::create($inputs);
        // } else {
        //     PartThreeReflectionExercise::where("user_id", $request->user("user")->id)->update($inputs);
        // }
        return view('website/pages/part_three/2', $data);
    }
    public function part3_3(Request $request) {
        $data = [];
        return view('website/pages/part_three/3', $data);
    }
    public function part3_4(Request $request) {
        $data = [];
        return view('website/pages/part_three/4', $data);
    }
    public function part3_5(Request $request) {
        $data = [];
        return view('website/pages/part_three/5', $data);
    }
    public function part3_6(Request $request) {
        $data = [];
        $data["data"] = CarolinaCaseStudyQuestion::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_three/6', $data);
    }
    public function part3_7(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = CarolinaCaseStudyQuestion::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            CarolinaCaseStudyQuestion::create($inputs);
        } else {
            CarolinaCaseStudyQuestion::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = CarolinaStrategicDataGethering::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_three/7', $data);
    }
    public function part3_8(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = CarolinaStrategicDataGethering::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            CarolinaStrategicDataGethering::create($inputs);
        } else {
            CarolinaStrategicDataGethering::where("user_id", $request->user("user")->id)->update($inputs);
        }
        
        $data["data"] = YourStrategicDataGethering::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_three/8', $data);
    }
    
    public function part3_9(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = YourStrategicDataGethering::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            YourStrategicDataGethering::create($inputs);
        } else {
            YourStrategicDataGethering::where("user_id", $request->user("user")->id)->update($inputs);
        }
        return view('website/pages/part_three/9', $data);
    }

    public function part3_9_1(Request $request) {
        $data = [];
        return view('website/pages/part_three/9_1', $data);
    }

    public function part3_10(Request $request) {
        $data = [];
        $data["data"] = YourNetworkMap::where("user_id", $request->user("user")->id)->get();
        return view('website/pages/part_three/10', $data);
    }
    public function part3_11(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        if(isset($inputs["fromPage10"])){
            YourNetworkMap::where("user_id", $request->user("user")->id)->delete();
            $query = YourNetworkMap::where("user_id", $request->user("user")->id)->first();
            if(!$query){
                foreach ($inputs["inputs"] as $key => $value) {
                    $inputs["inputs"][$key]["user_id"] = $request->user("user")->id;
                }
                YourNetworkMap::insert($inputs["inputs"]);
            }
        }

        $data["data"] = EvaluatingYourMap::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_three/11', $data);
    }
    public function part3_12(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = EvaluatingYourMap::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            EvaluatingYourMap::create($inputs);
        } else {
            EvaluatingYourMap::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = StrategicNetworkingActionPlan::where("user_id", $request->user("user")->id)->get();
        return view('website/pages/part_three/12', $data);
    }
    /* ======== Part Three Pages End ========*/

    /* ======== Part Four Pages ========*/
    public function part4_1(Request $request) {
        $data = [];
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        if(isset($inputs["fromPage12"])){
            StrategicNetworkingActionPlan::where("user_id", $request->user("user")->id)->delete();
            $query = StrategicNetworkingActionPlan::where("user_id", $request->user("user")->id)->first();
            if(!$query){
                foreach ($inputs["inputs"] as $key => $value) {
                    $inputs["inputs"][$key]["user_id"] = $request->user("user")->id;
                }
                StrategicNetworkingActionPlan::insert($inputs["inputs"]);
            }
        }
        return view('website/pages/part_four/1', $data);
    }
    public function part4_2(Request $request) {
        $data = [];
        return view('website/pages/part_four/2', $data);
    }
    public function part4_3(Request $request) {
        $data = [];
        return view('website/pages/part_four/3', $data);
    }
    public function part4_4(Request $request) {
        $data = [];
        $data["data"] = SeanCaseStudyQuestion::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_four/4', $data);
    }
    public function part4_5(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = SeanCaseStudyQuestion::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            SeanCaseStudyQuestion::create($inputs);
        } else {
            SeanCaseStudyQuestion::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["data"] = PartFourReflectionExercise::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_four/5', $data);
    }
    public function part4_6(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = PartFourReflectionExercise::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            PartFourReflectionExercise::create($inputs);
        } else {
            PartFourReflectionExercise::where("user_id", $request->user("user")->id)->update($inputs);
        }
        $data["data"] = MindsetActionPlan::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_four/6', $data);
    }
    public function part4_7(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = MindsetActionPlan::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            MindsetActionPlan::create($inputs);
        } else {
            MindsetActionPlan::where("user_id", $request->user("user")->id)->update($inputs);
        }
        $data["data"] = CommunicationActionPlan::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_four/7', $data);
    }
    public function part4_8(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = CommunicationActionPlan::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            CommunicationActionPlan::create($inputs);
        } else {
            CommunicationActionPlan::where("user_id", $request->user("user")->id)->update($inputs);
        }
        $data["data"] = FinalReflection::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/part_four/8', $data);
    }
    /* ======== Part Four Pages End ========*/


    public function yourActionPlan(Request $request) {
        $data = [];
        $query = null;
        $inputs = $request->all();
        $inputs["user_id"] = $request->user("user")->id;
        
        $query = FinalReflection::where("user_id", $request->user("user")->id)->first();
        if(!$query){
            FinalReflection::create($inputs);
        } else {
            FinalReflection::where("user_id", $request->user("user")->id)->update($inputs);
        }

        $data["self"] = SelfAwarenessActionPlan::where("user_id", $request->user("user")->id)->first();
        $data["collab"] = CollabrativeActionPlan::where("user_id", $request->user("user")->id)->first();
        $data["data"] = StrategicNetworkingActionPlan::where("user_id", $request->user("user")->id)->get();
        $data["mindset"] = MindsetActionPlan::where("user_id", $request->user("user")->id)->first();
        $data["communication"] = CommunicationActionPlan::where("user_id", $request->user("user")->id)->first();
        $data["your_data"] = YourStrategicDataGethering::where("user_id", $request->user("user")->id)->first();
        $data["final"] = FinalReflection::where("user_id", $request->user("user")->id)->first();
        return view('website/pages/your_action_plan', $data);
    }
    /* ====================== VIEW END ====================== */
}