@extends('admin.layouts.app')

@section('style')
  <style>
    @media only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }

.bt {
    border: 3px solid #1a1a1a;
    display: inline-block;
    padding: 2px 10px;
    position: relative;
    text-align: center;
    transition: background 600ms ease, color 600ms ease;
}

input[type=radio].toggle {
  display: none;
}
input[type=radio].toggle + label {
  cursor: pointer;
  min-width: 60px;
}
input[type=radio].toggle + label:hover {
  background: none;
  color: #1a1a1a;
}
input[type=radio].toggle + label:after {
  background: #1a1a1a !important;
  content: "";
  height: 100%;
  position: absolute;
  top: 0;
  transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
  width: 100%;
  z-index: -1;
}
input[type=radio].toggle.toggle-left + label {
  border-right: 0;
}
input[type=radio].toggle.toggle-left + label:after {
  left: 100%;
}
input[type=radio].toggle.toggle-right + label {
  margin-left: -5px;
}
input[type=radio].toggle.toggle-right + label:after {
  left: -100%;
}
input[type=radio].toggle:checked + label {
  cursor: default;
  color: #fff;
  transition: color 200ms;
  background-color: #1a1a1a
}
input[type=radio].toggle:checked + label:after {
  left: 0;
}


textarea{
    resize: none;
}
  </style>
@endsection


@section('panel')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Add Property Room</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="{{route('admin.dashboard')}}">Home</a>
                        </li>
                        <li class="breadcrumb-item text-muted">
                            Property
                        </li>
                        <li class="breadcrumb-item text-muted active" aria-current="page">Add Property Room</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <form id="createForm" method="POST">
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Add Property Room</h4>
                                </div>
                            </div>
                            <div class="row">
                                
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Name*</label>
                                        <input type="text" class="form-control" required name="name" placeholder="Property Room Name">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Property*</label>
                                        <select name="property_id"  class="form-control" id="" required>
                                            @foreach ($properties as $item)
                                                <option value="{{$item->id}}">{{$item->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Bedrooms*</label>
                                        <input type="number" min="0" class="form-control" required name="bedroom" placeholder="No of Bedrooms">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Bathrooms*</label>
                                        <input type="number" min="0" class="form-control" required name="bathroom" placeholder="No of Bathrooms">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Guests*</label>
                                        <input type="number" min="0" class="form-control" required name="guest" placeholder="No of guests allowed">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>SQ.Ft*</label>
                                        <input type="number" min="0" class="form-control" required name="sqft" placeholder="Room size">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Select Room Features*</label>
                                        <select class="js-example-basic-multiple-limit form-control" multiple name="room_features[]">
                                            @foreach ($features as $item)
                                                <option value="{{$item->id}}">{{$item->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Cost Per Night</label>
                                    <div class="input-group mb-3">
                                        <input type="number" min="0" required class="form-control" name="cost_per_night" placeholder="Cost /night">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelect01">C$</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Status*</label><br>
                                    <input id="toggle-on-s" class="toggle toggle-left" name="status" value="1" type="radio" checked>
                                    <label for="toggle-on-s" class="bt">Active</label>
                                    <input id="toggle-off-s" class="toggle toggle-right" name="status" value="2" type="radio">
                                    <label for="toggle-off-s" class="bt">Inactive</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="form-actions">
                    <div class="text-center">
                        <button type="submit" class="form-control btn-info">Add Property Room</button>
                    </div>
                </div>
            </div>
        </div>

    </form>
</div>
@endsection

@section('script')
    <script>
        $("form#createForm").on("submit", function(e){
            e.preventDefault();
            let formData = new FormData($("form#createForm")[0]);
            postRequest("form#createForm", "{{route('admin.rooms.store')}}", true, null, formData);  
        });

        // In your Javascript (external .js resource or <script> tag)
        $(document).ready(function() {
            $('.js-example-basic-multiple-limit').select2();
        });

    </script>
@endsection