@extends('admin.layouts.master')

@section('styles')
    @yield("style")
@endsection

@section('content')
<div class="overlay"></div>
<!-- ============================================================== -->
<!-- Preloader - style you can find in spinners.css -->
<!-- ============================================================== -->
<div class="preloader">
    <div class="lds-ripple">
        <div class="lds-pos"></div>
        <div class="lds-pos"></div>
    </div>
</div>


<div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
    data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
    
    @include('admin.partials.Menu')

    <div class="page-wrapper">
        @yield('panel')

        <footer class="footer text-center text-muted">
            &copy; Copyright 2022 - <a target="_blank" href="https://bonvoyageto.com">bonvoyageto.com</a> Developed by <a target="_blank" href="https://makhmoor.com">Makhmoor</a>
        </footer>
    </div>

</div>
@endsection

@section('scripts')
    <script src="{{asset('required/datetimepicker/picker.js')}}"></script>
    <script src="{{asset('required/datetimepicker/picker.date.js')}}"></script>
    <script src="{{asset('required/datetimepicker/picker.time.js')}}"></script>
    <script src="{{asset('required/datetimepicker/legacy.js')}}"></script>
    <script>
        // date picker
        $('.datepicker').pickadate({
            format:'yyyy-mm-dd',
        });

        // time picker
        $('.timepicker').pickatime({
            format:'HH:i'
        });
    </script>

    @yield('script')
@endsection