@extends('admin.layouts.app')

@section('style')
  <style>
    @media only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }      
  </style>
@endsection


@section('panel')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Manage Properties</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="{{route('admin.dashboard')}}">Home</a>
                        </li>
                        <li class="breadcrumb-item text-muted">
                            Property
                        </li>
                        <li class="breadcrumb-item text-muted active" aria-current="page">Manage Properties</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div id="zero_config_filter" class="dataTables_filter">
                        
                        {{-- <button class="btn btn-primary btn-sm customModalBtn float-right" data-modal="#addTherapyModal">Add Property</button> --}}
                        <a href="{{route("admin.properties.create")}}" class="btn btn-primary btn-sm  float-right">Add Property</a>
                        {{-- <button class="btn btn-primary btn-sm float-right" >Create</button> --}}
                        
                    </div>

                </div>
                <div class="table-responsive">
                    <table class="table table-striped table-bordered no-wrap mb-0">
                        <thead>
                            <tr>
                                <th>Propert Name</th>
                                <th>Location</th>
                                <th>Action</th>
                              </tr>
                        </thead>
                        <tbody>
                            
                            @forelse ($data as $item)
                                <tr>
                                    <td>{{$item->name}}</td>
                                    <td>{{$item->address}}</td>
                                    <td style="display: flex;">
                                        <a href="{{ route('admin.properties.edit', ['property'=>$item->id]) }}" class="btn btn-primary btn-sm mr-10">Edit</a>
                                        <form action="{{route('admin.properties.destroy',['property'=>$item->id] )}}" class="deleteDataForm" data-id="{{$item->id}}" method="POST">
                                            @method('delete')
                                            <input type="hidden" name="id" value="{{$item->id}}">
                                            <button type="submit" class="btn btn-primary btn-sm ">Delete</button>
                                        </form>
                                        {{-- <a href="#" class="btn btn-primary btn-sm mr-10">View</a> --}}
                                        {{-- <a href="{{ route('edit.therapy', ['id'=>$item->id]) }}" class="btn btn-primary btn-sm mr-10">Edit</a>
                                        <form action="{{route('destory.therapy',['id'=>$item->id] )}}" class="deleteTherapyForm" data-id="{{$item->id}}" method="POST">
                                            @method('delete')
                                            <input type="hidden" name="id" value="{{$item->id}}">
                                            <button type="submit" class="btn btn-primary btn-sm ">Delete</button>
                                        </form> --}}
                                    </td>
                                </tr>
                            @empty
                                
                            @endforelse
                              
                        </tbody>
                    </table>
                </div>
                
                
            </div> 
             
        </div>
        <div class="col-md-12 d-flex d-jc-c d-ai-c">
            {{ !empty($query) ? $data->appends("query", $query)->links() : $data->links() }}
        </div>
    </div>

</div>


@endsection

@section('script')
    <script>
        $("form.deleteDataForm").on("submit", function(e){
            e.preventDefault();
            let getDataId = $(this).attr("data-id");
            let url = $(this).attr("action");
            postRequest("form.deleteDataForm[data-id="+getDataId+"]", url);        
        });
    </script>
@endsection