@extends('admin.layouts.app')

@section('style')
  <style>
    @media only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }

.bt {
    border: 3px solid #1a1a1a;
    display: inline-block;
    padding: 2px 10px;
    position: relative;
    text-align: center;
    transition: background 600ms ease, color 600ms ease;
}

input[type=radio].toggle {
  display: none;
}
input[type=radio].toggle + label {
  cursor: pointer;
  min-width: 60px;
}
input[type=radio].toggle + label:hover {
  background: none;
  color: #1a1a1a;
}
input[type=radio].toggle + label:after {
  background: #1a1a1a !important;
  content: "";
  height: 100%;
  position: absolute;
  top: 0;
  transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
  width: 100%;
  z-index: -1;
}
input[type=radio].toggle.toggle-left + label {
  border-right: 0;
}
input[type=radio].toggle.toggle-left + label:after {
  left: 100%;
}
input[type=radio].toggle.toggle-right + label {
  margin-left: -5px;
}
input[type=radio].toggle.toggle-right + label:after {
  left: -100%;
}
input[type=radio].toggle:checked + label {
  cursor: default;
  color: #fff;
  transition: color 200ms;
  background-color: #1a1a1a
}
input[type=radio].toggle:checked + label:after {
  left: 0;
}


textarea{
    resize: none;
}
  </style>
@endsection


@section('panel')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Add Property Room</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="{{route('admin.dashboard')}}">Home</a>
                        </li>
                        <li class="breadcrumb-item text-muted">
                            Property
                        </li>
                        <li class="breadcrumb-item text-muted active" aria-current="page">Add Property Room</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-12">
            <div class="card">
                <div class="card-body">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <h4 class="card-title md-40">Room Image Gallery* <a href="#" class="btn btn-primary btn-sm customModalBtn float-right" data-modal="#addRoomImageModal">Add Image</a></h4>
                            </div>
                                <div class="col-md-12">
                                <div class="form-group">
                                    <div class="row">
                                        @foreach ($room_images as $item)
                                        <div class="col-md-4">
                                            <div class="image">
                                                <img src="{{ asset('website/property_images/'.$item->image_src) }}" style="width: 200px; margin: auto;display: block;" alt="" srcset="">
                                                <form action="{{route('admin.room_images.destroy',['room_image'=>$item->id] )}}" class="deleteDataForm" data-id="{{$item->id}}" method="POST">
                                                    @method('delete')
                                                    <input type="hidden" name="propert_id" value="{{$item->id}}">
                                                    <button type="submit" class="btn btn-primary btn-sm t-center d-center" style="display: block; margin: auto; margin-top: 10px;">Delete</button>
                                                </form>
                                            </div>    
                                        </div>
                                        @endforeach
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <form id="updateForm" action="{{route('admin.rooms.update', ["room"=>$data->id])}}" method="POST">
        @method('put')
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Update Property Room</h4>
                                </div>
                            </div>
                            <div class="row">
                                
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Name*</label>
                                        <input type="text" class="form-control" required name="name" value="<?php echo $data->name; ?>" placeholder="Property Room Name">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Property*</label>
                                        <select name="property_id"  class="form-control" id="" required>
                                            @foreach ($properties as $item)
                                                <option value="{{$item->id}}" {{$data->property_id == $item->id ? "selected" : ""}}>{{$item->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Bedrooms*</label>
                                        <input type="number" min="0" class="form-control" value={{+$data->bedroom}} required name="bedroom" placeholder="No of Bedrooms">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Bathrooms*</label>
                                        <input type="number" min="0" class="form-control" value={{+$data->bathroom}} required name="bathroom" placeholder="No of Bathrooms">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Guests*</label>
                                        <input type="number" min="0" class="form-control" value={{+$data->guest}} required name="guest" placeholder="No of guests allowed">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>SQ.Ft*</label>
                                        <input type="number" min="0" class="form-control" value={{+$data->sqft}} required name="sqft" placeholder="Room size">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Select Room Features*</label>
                                        <select class="js-example-basic-multiple-limit form-control" multiple name="room_features[]">
                                            @foreach ($features as $item)
                                                <?Php $isSelected = 0; ?>
                                                
                                                @foreach ($room_features as $pa)
                                                    @if ($pa->rfeature_id  == $item->id)
                                                        <option value="{{$item->id}}" selected>{{$item->name}}</option>
                                                        <?php $isSelected++; ?>
                                                        @break
                                                    @endif
                                                @endforeach

                                                @if ($isSelected == 0)
                                                    <option value="{{$item->id}}">{{$item->name}}</option>
                                                    <?php $isSelected == 0; ?>
                                                @endif
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Cost Per Night</label>
                                    <div class="input-group mb-3">
                                        <input type="number" min="0" value={{$data->cost_per_night}} required class="form-control" name="cost_per_night" placeholder="Cost /night">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelect01">C$</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Status*</label><br>
                                    <input id="toggle-on-s" class="toggle toggle-left" name="status" value="1" type="radio"  {{$data->status == 1 ? "checked" : ""}}>
                                    <label for="toggle-on-s" class="bt">Active</label>
                                    <input id="toggle-off-s" class="toggle toggle-right" name="status" value="2" type="radio" {{$data->status == 2 ? "checked" : ""}}>
                                    <label for="toggle-off-s" class="bt">Inactive</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="form-actions">
                    <div class="text-center">
                        <button type="submit" class="form-control btn-info">Update Property Room</button>
                    </div>
                </div>
            </div>
        </div>

    </form>
</div>
@endsection

@section('script')
    @include('admin.partials.modals.AddPropertyRoomImage', $data)
    <script>
        $("form#updateForm").on("submit", function(e){
            e.preventDefault();
            let formData = new FormData($("form#updateForm")[0]);
            let url = $(this).attr("action");
            postRequest("form#updateForm", url, true, null, formData); 
        });

        // In your Javascript (external .js resource or <script> tag)
        $(document).ready(function() {
            $('.js-example-basic-multiple-limit').select2();
        });

        $("form.deleteDataForm").on("click", function(e){
            e.preventDefault();
            let getDataId = $(this).attr("data-id");
            let url = $(this).attr("action");
            postRequest("form.deleteDataForm[data-id="+getDataId+"]", url);        
        });

    </script>
@endsection