@extends('website.layouts.app')

@section('heading')
Home
@endsection

@section('style')
    <style>
    
        .form{
            gap:10px;
        }
        .form a {
            background: #35477d;
            color: #fff;
            padding: 15px 20px;
            border: none;
            border-radius: 0;
            font-size: 12px;
            letter-spacing: .2rem;
            text-transform: uppercase;
            font-family: 'Raleway', sans-serif;
            height: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
        }

    </style>
@endsection

@section('panel')
    <section class="full-section h-100">
        <div class="container h-100">
            <div class="row h-100">
                <div class="col-xl-6">
                    <div class="logo">
                        <img src="{{ asset('website/images/logo.png') }}" srcset="">
                    </div>
                    <h4 class="text-color-yellow mt-40 md-40 t-justify">Participant Guide</h4>
                    <p class="t-justify">Welcome to the FIS <b>Unlock the Full Value of Working Cross-Enterprise</b> training program! </p>
                    <p class="t-justify">This participant guide is intended to be used in conjunction with the FIS training portal and videos. It will help you with the self-reflection exercises and action planning as you go through the program. Once completed, you will receive a summary document in PDF containing all of your leadership Action Plans.</p>
                    <p class="md-0">If you are beginning the program now, please click on New Session. If you would like to continue from a previously saved session, please click on Continue Session. </p>
                    {{-- <p class="mt-40">Information is only temporarily stored to give the ability to continue working on the exercise at a later date, alternatively, you can <a href="#" style="color: #35477d; text-decoration: underline; font-weight: 500;">download the pdf here</a> to complete the exercise manually.</p> --}}
                    <div class="form">
                        <a  href="{{ route('user.register') }}" class="btn btn-primary rounded-0 py-2 px-4">New Session</a>
                        <a  href="{{ route('user.login') }}" class="btn btn-primary rounded-0 py-2 px-4">Continue Session</a>
                    </div>
                </div>
                <div class="col-xl-6">
                    <img class="bg" src="{{ asset('website/images/bg.png') }}" alt="" srcset="">
                </div>
            </div>
        </div>
    </section>
@endsection

@section('script')
<script>
  $("form#loginForm").on("submit", function(e){
      e.preventDefault();
      postRequest("form#loginForm", "{{route('user.login')}}");
  });
</script>
@endsection