@extends('website.layouts.app')

@section('heading')
Case Study - Carolina
@endsection

@section('panel')
<section class="reflextion case-study program-learning">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-lg-6">
                    <h1 class="mt-40">Case Study: Carolina</h1>
                    <p style="text-align: justify;">Carolina is a Director of Insights at a fortune 500 global foods company, Future of Food.  The company has a broad portfolio of products ranging from snacks, bars, yogurt, cereals, and desserts that are organized as separate operating units. Each of these operating units has its own teams organized in regions across the world including North America, South and Latin America, Asia Pacific, Middle East & Africa, and Europe. Carolina works out of the company’s US based HQ as part of the Insights Center of Excellence, reporting directly to the EVP of Insights who leads the function for the organization globally. The organization is heavily matrixed and so Carolina is on multiple teams. As a leader for the COE and functionally based Insights Team, Carolina is responsible for developing the “future forward” Insights and Foresights strategies that are designed to be implemented in the various business segments and regions across the globe. She supports her Insights peers that are embedded directly within the regions and have direct reporting to the Regional Presidents with a dotted line to the Insights Function, with the objective of helping drive the best Insights and Foresights strategies in their respective regions. </p>
                </div>
                <div class="col-lg-6">
                    <img class="mt-40" style="width: 100%;" src="{{ asset('website/images/carolina.jpg') }}" alt="" srcset="">
                    <p>Carolina had built a reputation for demonstrating a passionate communication style. </p>
                    <ul class="mt-20 md-40" style="font-size: 21px;">
                        <li>She was known for her confidence and conviction in her ideas, and she would share them with great regularity when in meetings. </li>
                        <li>Particularly when she was passionate about her idea, she was known to do more talking than listening and sometimes interrupted others while trying to convince stakeholders of the merits of her recommendations.</li>
                        <li>She exhibited courage to challenge the status quo, regardless of the audience.</li>
                        <li>She was known to be very task oriented. </li>
                    </ul>
                    <div class="progress-buttons md-30">
                        <a href="{{ route('user.part3.1') }}"><img src="{{ asset('website/images/black-left-arrow.png') }}" alt="" srcset=""></a>
                        <a href="{{ route('user.part3.3') }}"><img src="{{ asset('website/images/black-right-arrow.png') }}" alt="" srcset=""></a>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection