@extends('website.layouts.app')

@section('heading')
Your Action Plan
@endsection

@section('style')
<style>
    .reflextion h1::after {
        bottom: -18px !important;
    }
    .final h6{
        margin-bottom: 0px;
    }
    .final .content p {
        margin-top: 6px;
        font-size: 17px;
        margin-bottom: 0px;
        color: rgb(38 93 168);
        font-weight: 500;
    }
    .final .input{
        width: 100%;
        background-color: rgb(242,242,242);
        min-height: 76px;
        margin-top: 5px;
        margin-bottom: 10px;
        padding: 10px;
    }
    .final .content{
        margin-bottom: 30px;
    }
    .network-action td input {
        min-height: 50px !important;
        height: auto;
    }
</style>
@endsection

@section('panel')
<section class="html-content reflextion final network-action program-learning" style="    width: 1504px !important;">
    <div class="container" style="width: 1320px !important;max-width: 1320px !important;">
        <div class="row h-100 " style="    width: 1320px !important;">
            <div class="col-lg-6" style="    width: 660px !important;">
                <h1 class="mt-10" style="font-size: 30px;    margin: inherit; margin-bottom:30px !important;">Your Action Plan <br><p style="font-size: 14px;margin-top: 2px;">This is a one-page summary of your action plan.</p></h1>
                
                <div class="content">
                    <h6>SELF AWARENESS</h6>
                    <p>Your natural strengths & tendencies to leverage:</p>
                    <div class="input">
                        {{$self->value_1 ?? ""}}
                    </div>
                    <p>Development areas to focus on:</p>
                    <div class="input">
                        {{$self->value_2 ?? ""}}
                    </div>
                </div>

                <div class="content">
                    <h6>COLLABORATIVE TRUST</h6>
                    <p>Trust Creators important for effective collaboration at FIS:</p>
                    <div class="input">
                        {{$collab->value_1 ?? ""}}
                    </div>
                    <p>Trust Creators you will commit to implementing consistently:</p>
                    <div class="input">
                        {{$collab->value_2 ?? ""}}
                    </div>
                </div>
                
                <div class="content">
                    <h6 class="md-10">STRATEGIC DATA GATHERING AND STAKEHOLDER PREPARATION</h6>
                    <p>How many of the areas are you aware of today, and which ones would you still need to learn:</p>
                    <div class="input">
                        {{$your_data->value_1 ?? ""}}
                    </div>
                    <p>Based on the information you have, how might you incorporate this information to best prepare for your next collaboration effort:</p>
                    <div class="input">
                        {{$your_data->value_2 ?? ""}}
                    </div>
                </div>

                

               
            </div>
            <div class="col-lg-6" style="width: 660px !important;">
                <div class="content">
                    <h6 class="mt-20">STRATEGIC NETWORKING</h6>
                    <table class="mt-10">
                            <thead>
                                <th>Name</th>
                                <th>Strategy</th>
                                <th>Schedule</th>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <input type="text" readonly value="{{$data[0]->name ?? ""}}" name="inputs[0][name]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[0]->strategy ?? ""}}" name="inputs[0][strategy]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[0]->schedule ?? ""}}" name="inputs[0][schedule]" class="input-textarea" id="">
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="text" readonly value="{{$data[1]->name ?? ""}}" name="inputs[1][name]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[1]->strategy ?? ""}}" name="inputs[1][strategy]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[1]->schedule ?? ""}}" name="inputs[1][schedule]" class="input-textarea" id="">
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="text" readonly value="{{$data[2]->name ?? ""}}" name="inputs[2][name]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[2]->strategy ?? ""}}" name="inputs[2][strategy]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[2]->schedule ?? ""}}" name="inputs[2][schedule]" class="input-textarea" id="">
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="text" readonly value="{{$data[3]->name ?? ""}}" name="inputs[3][name]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[3]->strategy ?? ""}}" name="inputs[3][strategy]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[3]->schedule ?? ""}}" name="inputs[3][schedule]" class="input-textarea" id="">
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="text" readonly value="{{$data[4]->name ?? ""}}" name="inputs[4][name]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[4]->strategy ?? ""}}" name="inputs[4][strategy]" class="input-textarea" id="">
                                    </td>
                                    <td>
                                        <input type="text" readonly value="{{$data[4]->schedule ?? ""}}" name="inputs[4][schedule]" class="input-textarea" id="">
                                    </td>
                                </tr>
                                
                            </tbody>
                        </table>
                </div>
                
                <div class="content">
                    <h6>MINDSET</h6>
                    <p>Mindset Skills, Tips, and Strategies you plan on implementing:</p>
                    <div class="input">
                        {{$mindset->value_1 ?? ""}}
                    </div>
                </div>

                <div class="content">
                    <h6>COMMUNICATION</h6>
                    <p>Reflect on a previous interaction with a stakeholder where you could have used these tools. How would it go differently now:</p>
                    <div class="input">
                        {{$communication->value_1 ?? ""}}
                    </div>
                    <p>Think about an upcoming stakeholder meeting. Which of these tools do you plan on using and how:</p>
                    <div class="input">
                        {{$communication->value_2 ?? ""}}
                    </div>
                </div>

                <div class="content">
                    <h6 class="md-10">FINAL REFLECTION</h6>
                    <p>In what ways could this LeaderShift content help you unlock the full value of working cross-enterprise:</p>
                    <div class="input">
                        {{$final->value_1 ?? ""}}
                    </div>
                    <p>Which strategies stand out most for you? How do you intend to put this learning into action in the next 30-60 days?:</p>
                    <div class="input">
                        {{$final->value_2 ?? ""}}
                    </div>
                </div>

                 <div class="buttons md-40">
                    <a  href="{{ route('user.part4.8') }}" class="submit-button">Back</a>
                    <button id="cmd" class="submit-button" type="submit">Export PDF</button>
                </div>
                
                {{-- <form action="{{ route('user.part2.4') }}">
                    <p>Which of these behaviors do you think the team might be most susceptible to?</p>
                    <textarea name="value_1" id="" class="input-textarea" rows="5">{{$data->value_1 ?? ""}}</textarea>
                    <p>Which are you more susceptible to?</p>
                    <textarea name="value_2" id="" class="input-textarea" rows="5">{{$data->value_2 ?? ""}}</textarea>
                    <div class="buttons">
                        <a  href="{{ route('user.part2.2') }}" class="submit-button">Back</a>
                        <button class="submit-button" type="submit">Save & Continue</button>
                    </div>
                </form> --}}
            </div>
        </div>
    </div>
</section>
@endsection

@section('script')
    
    <script>
    function CreatePDFfromHTML() {
        var HTML_Width = $(".html-content").width();
        var HTML_Height = $(".html-content").height();
        var top_left_margin = 15;
        var PDF_Width = HTML_Width + (top_left_margin * 2);
        var PDF_Height = (PDF_Width * 1.5) + (top_left_margin * 2);
        var canvas_image_width = HTML_Width;
        var canvas_image_height = HTML_Height;

        var totalPDFPages = Math.ceil(HTML_Height / PDF_Height) - 1;
        $(".buttons").hide();
        $(".logout-button").hide();
        html2canvas($(".html-content")[0]).then(function (canvas) {
            var imgData = canvas.toDataURL("image/jpeg", 1.0);
            // var pdf = new jsPDF('l', 'mm', [PDF_Width, PDF_Height-1500]);
            var pdf = new jsPDF('l', 'pt', [canvas_image_width, canvas_image_height]);
            pdf.addImage(imgData, 'JPG', top_left_margin, top_left_margin, canvas_image_width, canvas_image_height);
            for (var i = 1; i <= totalPDFPages; i++) { 
                pdf.addPage(PDF_Width, PDF_Height);
                pdf.addImage(imgData, 'JPG', top_left_margin, -(PDF_Height*i)+(top_left_margin*4),canvas_image_width,canvas_image_height);
            }
            pdf.save("Your_Action_Plan.pdf");
            $(".buttons").show();
            $(".logout-button").show();
            $(".html-content").show();
        });
    }

    $("#cmd").on("click", function(){
        CreatePDFfromHTML();
    })
    </script>
@endsection