<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


/*
|--------------------------------------------------------------------------
| User Routes
|--------------------------------------------------------------------------
*/
Route::name('user.')->group(function(){

    Route::namespace("Auth")->middleware("user.guest")->group(function(){
        Route::get("/", 'LoginController@index')->name("index");
        Route::get('/login', 'LoginController@showLoginForm')->name("login");
        Route::post('/login', 'LoginController@login')->name("login");

        Route::get('/register', 'LoginController@showRegisterForm')->name("register");
        Route::post('/register', 'LoginController@register')->name("register");
    });

    Route::middleware('user')->group(function () {
        Route::get("/home", 'PageController@home')->name("home");
        Route::get("/program-learning-modules", 'PageController@step2_1')->name("step2.1");
        Route::get("/reflection-exercise", 'PageController@step2_2')->name("step2.2");

        /* ================ Part One Pages ================*/
        Route::get("/part_one", 'PageController@part1_1')->name("part1.1");
        Route::get("/part_one/personality_drivers_exercise_instructions", 'PageController@part1_2')->name("part1.2");
        Route::get("/part_one/interpersonal_connection", 'PageController@part1_3')->name("part1.3");
        Route::get("/part_one/visibility", 'PageController@part1_4')->name("part1.4");
        Route::get("/part_one/harmony", 'PageController@part1_5')->name("part1.5");
        Route::get("/part_one/independency", 'PageController@part1_6')->name("part1.6");
        Route::get("/part_one/accuracy", 'PageController@part1_7')->name("part1.7");
        Route::get("/part_one/emotional_express", 'PageController@part1_8')->name("part1.8");
        Route::get("/part_one/presonal_drivers_summary", 'PageController@part1_9')->name("part1.9");
        
        Route::get("/part_one/interpersonal_connection_strengths", 'PageController@part1_10')->name("part1.10");
        Route::get("/part_one/interpersonal_connection_growth", 'PageController@part1_11')->name("part1.11");

        Route::get("/part_one/visibility_strengths", 'PageController@part1_12')->name("part1.12");
        Route::get("/part_one/visibility_growth", 'PageController@part1_13')->name("part1.13");

        Route::get("/part_one/harmony_strengths", 'PageController@part1_14')->name("part1.14");
        Route::get("/part_one/harmony_growth", 'PageController@part1_15')->name("part1.15");

        Route::get("/part_one/independency_strengths", 'PageController@part1_16')->name("part1.16");
        Route::get("/part_one/independency_growth", 'PageController@part1_17')->name("part1.17");

        Route::get("/part_one/accuracy_strengths", 'PageController@part1_18')->name("part1.18");
        Route::get("/part_one/accuracy_growth", 'PageController@part1_19')->name("part1.19");

        Route::get("/part_one/emotional_express_strengths", 'PageController@part1_20')->name("part1.20");
        Route::get("/part_one/emotional_express_growth", 'PageController@part1_21')->name("part1.21");

        Route::get("/part_one/action_plan/self_awareness", 'PageController@part1_22')->name("part1.22");

        Route::get("/part_one/interpersonal_connection_adapting_tips", 'PageController@part1_23')->name("part1.23");
        Route::get("/part_one/visibility_adapting_tips", 'PageController@part1_24')->name("part1.24");
        Route::get("/part_one/harmony_adapting_tips", 'PageController@part1_25')->name("part1.25");
        Route::get("/part_one/independency_adapting_tips", 'PageController@part1_26')->name("part1.26");
        Route::get("/part_one/accuracy_adapting_tips", 'PageController@part1_27')->name("part1.27");
        Route::get("/part_one/emotional_express_adapting_tips", 'PageController@part1_28')->name("part1.28");
        Route::get("/part_one/reflection_exercise", 'PageController@part1_29')->name("part1.29");
        /* ================ Part One Pages Ended ================*/


        /* ================ Part Two Pages ================*/
        Route::get("/part_two", 'PageController@part2_1')->name("part2.1");
        Route::get("/part_two/reflection_exercise/2", 'PageController@part2_1_1')->name("part2.1.1");
        Route::get("/part_two/trust_disruptors", 'PageController@part2_2')->name("part2.2");
        Route::get("/part_two/reflection_exercise", 'PageController@part2_3')->name("part2.3");
        Route::get("/part_two/trust_creators", 'PageController@part2_4')->name("part2.4");
        Route::get("/part_two/action_plan/collaborative_trust", 'PageController@part2_5')->name("part2.5");
        /* ================ Part Two Pages Ended ================*/

        
        /* ================ Part Three Pages ================*/
        Route::get("/part_three", 'PageController@part3_1')->name("part3.1");
        // Route::get("/part_three/reflection_exercise", 'PageController@part3_1_1')->name("part3.1.1");
        Route::get("/part_three/case_study_carolina", 'PageController@part3_2')->name("part3.2");
        Route::get("/part_three/case_study_carolina_2", 'PageController@part3_3')->name("part3.3");
        Route::get("/part_three/case_study_carolina_3", 'PageController@part3_4')->name("part3.4");
        Route::get("/part_three/case_study_carolina_4", 'PageController@part3_5')->name("part3.5");
        Route::get("/part_three/case_study_questions", 'PageController@part3_6')->name("part3.6");
        Route::get("/part_three/carolinas_strategic_data_gathering_and_preparation", 'PageController@part3_7')->name("part3.7");
        Route::get("/part_three/action_plan/your_strategic_data_gathering_and_preparation", 'PageController@part3_8')->name("part3.8");
        Route::get("/part_three/steps_to_creating_your_networking_action_plan", 'PageController@part3_9')->name("part3.9");
        
        Route::get("/part_three/who_is_part_of_your_network", 'PageController@part3_9_1')->name("part3.9.1");

        Route::get("/part_three/creating_your_networking_map", 'PageController@part3_10')->name("part3.10");
        Route::get("/part_three/evaluating_your_network", 'PageController@part3_11')->name("part3.11");
        Route::get("/part_three/action_plan/strategic_networking", 'PageController@part3_12')->name("part3.12");
        /* ================ Part Three Pages Ended ================*/


        /* ================ Part Four Pages ================*/
        Route::get("/part_four", 'PageController@part4_1')->name("part4.1");
        Route::get("/part_four/case_study_sean", 'PageController@part4_2')->name("part4.2");
        Route::get("/part_four/case_study_sean_2", 'PageController@part4_3')->name("part4.3");
        Route::get("/part_four/case_study_questions", 'PageController@part4_4')->name("part4.4");
        Route::get("/part_four/reflection_exercise", 'PageController@part4_5')->name("part4.5");
        Route::get("/part_four/action-plan/mindset", 'PageController@part4_6')->name("part4.6");
        Route::get("/part_four/action-plan/communication", 'PageController@part4_7')->name("part4.7");
        Route::get("/part_four/final-reflection", 'PageController@part4_8')->name("part4.8");
        /* ================ Part Four Pages Ended ================*/


        Route::get("/your_action_plan", 'PageController@yourActionPlan')->name("final");


        Route::namespace("Auth")->group(function(){
            Route::get('/logout', 'LoginController@logout')->name("logout");
        });
    });

});
// Route::view('/', 'website.home');
// Route::view('/property-listing', 'website.property_listing');
// Route::view('/property-detail', 'website.property_detail');

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
*/
Route::namespace("Admin")->prefix("myadmin")->name('admin.')->group(function(){
    Route::namespace("Auth")->middleware("admin.guest")->group(function(){
        Route::get('/', 'LoginController@showLoginForm')->name("login");
        Route::post('/', 'LoginController@login')->name("login");
    });

    Route::middleware('admin')->group(function () {
        Route::get('dashboard', 'AdminController@dashboard')->name('dashboard');
        Route::get('settings', 'AdminController@showsettings')->name('settings');
        Route::get('bookings', 'BookingController@index')->name('bookings');

        // /* ================================= LOCATIONS ROUTES ================================= */ 
        // Route::get('location/countries', 'LocationController@countries')->name('countries');
        // Route::post('location/countries', 'LocationController@storeCountry')->name('store.country');
        // Route::put('location/countries/{id}', 'LocationController@updateCountry')->name('update.country');
        // Route::delete('location/countries/{id}', 'LocationController@destoryCountry')->name('destory.country');

        // Route::get('location/cities', 'LocationController@cities')->name('cities');
        // Route::post('location/cities', 'LocationController@storeCity')->name('store.city');
        // Route::put('location/cities/{id}', 'LocationController@updateCity')->name('update.city');
        // Route::delete('location/cities/{id}', 'LocationController@destoryCity')->name('destory.city');

        // Route::get('location/neighborhoods', 'LocationController@neighborhoods')->name('neighborhoods');
        // Route::post('location/neighborhoods', 'LocationController@storeNeighborhood')->name('store.neighborhood');
        // Route::put('location/neighborhoods/{id}', 'LocationController@updateNeighborhood')->name('update.neighborhood');
        // Route::delete('location/neighborhoods/{id}', 'LocationController@destoryNeighborhood')->name('destory.neighborhood');
        // /* ================================= LOCATIONS ROUTES ENDS ================================= */

        // Route::resource("amenities", "AmenityController");
        // Route::resource('room_features', 'RoomFeatureController');
        // Route::resource('properties', 'PropertyController');
        // Route::resource('rooms', 'PropertyRoomController');

        // Route::post("property_images", "PropertyController@storeImage")->name("property_images.store");
        // Route::delete("property_images/{property_image}", "PropertyController@destroyImage")->name("property_images.destroy");

        // Route::post("room_images", "PropertyRoomController@storeImage")->name("room_images.store");
        // Route::delete("room_images/{room_image}", "PropertyRoomController@destroyImage")->name("room_images.destroy");

        Route::get('logout', 'LoginController@logout')->name("logout");
    });

});