<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <title>Sambara Travel & Tours - <?php echo $__env->yieldContent('title'); ?></title>
      <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
      <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/required.css')); ?>">
      <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/imp.css')); ?>">
      <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/owl.css')); ?>">
      <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/chosen.min.css')); ?>">
      <!-- Your Css Will go here -->
      <link rel="stylesheet" type="text/css" href="<?php echo e(asset('website/css/style.css')); ?>">
      <!-- End -->
      
      <?php echo $__env->yieldContent('style'); ?>

      <style>
		.partners-members .members, .partners-members .business {
			display: flex;
			justify-content: center;
			align-items: center;
            flex-wrap: wrap;
		}
		.partners-members img {
			width: 100px;
			margin-right: 35px;
		}
		.partners-members .container{
			justify-content: center !important;
			padding: 20px 35px !important;	
		}
	</style>

      <!-- Jquery -->
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <!-- Bootstrap -->
      <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
      <!-- FontAwesome -->
      <script src="https://kit.fontawesome.com/ffd69a8ba9.js" crossorigin="anonymous"></script>
      <!-- Owl Slider -->
      <script type="text/javascript" src="<?php echo e(asset('required/js/owl.js')); ?>"></script>
      <!-- SweetAlert -->
      <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>

      <!-- Country Number  -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css"/>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
   </head>
   <body>
        <div class="overlay"></div>
        <div class="loader-spinner">
            <img src="<?php echo e(asset('required/loaders/rings.svg')); ?>" width="100" alt="">
        </div>

		<!-- Work Here  -->
        <div class="headbar">
            <div class="container">
                <div class="social-info">
                    <div class="social-icons">
                        <a href="https://web.facebook.com/Sambara-Travel-and-Tours-100449395846119">
                            <i class="fab fa-facebook-f"></i>
                        </a>
                        <a href="https://instagram.com/SambaraTravels">
                            <i class="fab fa-instagram"></i>
                        </a>
                        <a href="https://www.youtube.com/channel/UC9_1nwYsH_cvqYJoCkY4ccQ">
                            <i class="fab fa-youtube"></i>
                        </a>
						<a href="https://www.youtube.com/channel/UC9_1nwYsH_cvqYJoCkY4ccQ">
                            <i class="fab fa-twitter"></i>
                        </a>
                    </div>
                    <div class="mail">
                        <a href="mailto:info@sambaratravels.com">info@sambaratravels.com</a>
                    </div>
                </div>
                <div class="contact-info">
                    <a href="tel:02135843333">021-35843333</a> <span style="color: white;">|</span> <a href="tel:+923099844498">0309-9844498</a>
                </div>
            </div>
        </div>

		<div class="header">
            <?php echo $__env->make('website.partials.Menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			<?php echo $__env->yieldContent('slider'); ?>
        </div>

		
		<?php echo $__env->yieldContent('content'); ?>
		
		
		<div class="section subscribe">
            <div class="container">
                <div class="headings">
                    <div class="icon">
                        <img src="<?php echo e(asset('website/images/mail.png')); ?>" alt="" srcset="">
                    </div>
                    <div class="text">
                        <h4>Get Updates & More</h4>
                        <h6>Thoughtful thoughts to your inbox</h6>
                    </div>
                </div>
                <div class="form">
                    <form id="subscribeForm">
                        <input type="text" name="email" required placeholder="Your Email*">
                        <input type="submit" value="SUBSCRIBE">
                    </form>
                </div>
            </div>
        </div>

        <a href="https://api.whatsapp.com/send?phone=+923099844498" class="float-whatsapp" target="_blank">
            <i class="fa fa-whatsapp my-float"></i>
        </a>

        <footer>
            <div class="container">
                <div class="row">
                    <div class="col-md">
                        <div class="navwrp need-help">
                            <h4>Need Help?</h4>
                            <ul>
                                <li>
                                    <span>Call Us</span>
                                    <a href="tel:+923099844498">0309-9844498</a><br>
                                </li>
                                <li>
                                    <span>Email For Us</span>
                                    <a href="mailto:info@sambaratravels.com">info@sambaratravels.com</a>
                                </li>
                                <li>
                                    <span>Follow Us</span>
                                    <div class="social">
                                        <a href="https://web.facebook.com/Sambara-Travel-and-Tours-100449395846119" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                        <a href="https://twitter.com/SambaraTravels" target="_blank"><i class="fab fa-twitter"></i></a>
										<a href="https://www.youtube.com/channel/UC9_1nwYsH_cvqYJoCkY4ccQ" target="_blank"><i class="fab fa-youtube"></i></a>
                                        <a href="https://instagram.com/SambaraTravels" target="_blank"><i class="fab fa-instagram"></i></a>
                                    </div>
                                    
                                </li>
                            </ul>
                        </div>
                    </div>
                    
                    <div class="col-md">
                        <div class="navwrp">
                            <h4>Company</h4>
                            <ul>
                                <li>
                                    <a href="<?php echo e(route('site.about')); ?>">About Us</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('teams.index')); ?>">Meet the Team</a>
                                </li>
                                <li>
                                    <a href="<?php echo e(route('site.career')); ?>">Career</a>
                                </li>					
                            </ul>
                        </div>
                    </div>
                    <div class="col-md">
                        <div class="navwrp">
                            <h4>Support</h4>
                            <ul>
                                <li>
                                    <a href="<?php echo e(route('site.contact')); ?>">Contact</a>
                                </li>					
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="logowrp">
                            <img src="<?php echo e(asset('website/images/logo.png')); ?>">
                        </div> 
                    </div>
                </div>

                <div class="row copy">
                    <div class="col-md-12">
                        Copyright &copy; 2022 by <b>Sambara Travels</b>, Designed & Developed by <a href="https://brightcodex.com"><b>BrightCodeX</b> </a>
                    </div>
                </div>
            </div>
            
        </footer>
        <!-- End Work -->



        <!-- Axios -->
        <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>    
        <!-- Jquery -->
        <script src="<?php echo e(asset('required/js/custom.js')); ?>"></script>
        <script src="<?php echo e(asset('required/js/chosen.jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('required/js/required.js')); ?>"></script>
		<?php echo $__env->yieldContent('script'); ?>     
        <script>
            // const phoneInputField = document.querySelector("#phone");
            // const phoneInput = window.intlTelInput(phoneInputField, {
            // utilsScript:
            //     "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js",
            //     initialCountry:"pk"
            // });

           $('.owl-carousel').owlCarousel({
                loop:true,
                margin:10,
                responsiveClass:true,
                autoplay:true,
                responsive:{
                    0:{
                        items:1,
                        nav:false,
                        loop:true
                    },
                    600:{
                        items:1,
                        nav:false,
                        loop:true
                    },
                    1000:{
                        items:1,
                        nav:false,
                        loop:true
                    }
                }
            })
        </script>
        <script>
            $("form#subscribeForm").on("submit", function(e){
                e.preventDefault();
                postRequest("form#subscribeForm", "<?php echo e(route('subscribe.email')); ?>");    
            });
        </script>
   </body>
</html><?php /**PATH E:\NexomosProjetcs\sara\backend\resources\views//website/layouts.blade.php ENDPATH**/ ?>