

<?php $__env->startSection('style'); ?>
  <style>
    @media  only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }      
  </style>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Add Visas</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('Dashboard')); ?>">Home</a>
                        </li>
                        <li class="breadcrumb-item text-muted active" aria-current="page">Add Visas</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <form id="createVisaForm" method="POST">
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Add Visa</h4>
                                </div>
                            </div>
                            <div class="row">
                                
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Country*</label>
                                        <input type="text" class="form-control" required name="country" placeholder="Country Name">
                                    </div>
                                </div>

                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Description*</h4>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="description" class="description form-control" cols="30" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Embassy Requirements*</h4>
                                </div>
                                 <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="requirements" class="requirements form-control" cols="30" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Duration of Stay / Visa Processing Time*</h4>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="duration_processing" class="duration_processing form-control" cols="30" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Country Image*</h4>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <input type="file" class="form-control" required name="file" >
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="form-actions">
                    <div class="text-center">
                        <input type="submit" class="btn btn-info" value="Create">
                    </div>
                </div>
            </div>
        </div>

    </form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        
        var requirements, description, duration_processing;

        ClassicEditor
            .create( document.querySelector( '#description' ) )
            .then(value=>{
                description = value;
            })
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#requirements' ) )
            .then(value=>{
                requirements = value;
            })
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#duration_processing' ) )
            .then(value=>{
                duration_processing = value;
            })
            .catch( error => {
                console.error( error );
            } );

        $("form#createVisaForm").on("submit", function(e){
            e.preventDefault();
            let formData = new FormData($("form#createVisaForm")[0]);
            formData.append("descriptions", description.getData());
            formData.append("embassy_requirements", requirements.getData());
            formData.append("duration_processing", duration_processing.getData());
            postRequest("form#createVisaForm", "<?php echo e(route('visas.store')); ?>", true, null, formData);  
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Other Projects\Travel & Tours\travellaravel\resources\views/admin/create/visas.blade.php ENDPATH**/ ?>