

<?php $__env->startSection('style'); ?>
  <style>
    @media  only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }      
  </style>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Manage Therapies</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('Dashboard')); ?>">Home</a>
                        </li>
                        <li class="breadcrumb-item" aria-current="page">
                            <a href="<?php echo e(route("manage.therapies")); ?>">Manage Therapies</a>
                        </li>
                        <li class="breadcrumb-item text-muted active">
                            <?php echo e($data->name); ?>

                        </li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>


<div class="container-fluid">
    <form id="updateForm" action="<?php echo e(route('update.therapy', ["id"=>$data->id])); ?>" method="POST">
        <?php echo method_field('put'); ?>
        <div class="row">
            <div class="col-md-10 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Update Therapy</h4>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label>Select Service Category*</label>
                                    <select name="sub_category_id"  required class="form-control">
                                        <?php $__currentLoopData = $sub_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php echo e($data->sub_category_id == $item->id ? "selected" : ""); ?> value="<?php echo e($item->id); ?>"><?php echo e($item->sub_category); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label>Name*</label>
                                    <input type="text" value="<?php echo e($data->name); ?>" name="name" required class="form-control" />
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-5">
                                    <label>Item Name*</label>
                                </div>
                                <div class="form-group col-md-5">
                                    <label>Item Cost*</label>
                                </div>
                            </div>

                            <?php $count = 0; ?>
                            <?php $__currentLoopData = $data->therapyItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($count == 0): ?>
                                    <div class="items">
                                <?php else: ?>
                                    <div class="items" data-item-id="<?php echo e($count); ?>">
                                <?php endif; ?>
                                        <div class="row">
                                            <div class="form-group col-md-5">
                                                <input type="text" value="<?php echo e($item->name); ?>" name="names[]" required class="form-control" />
                                            </div>
                                            <div class="form-group col-md-5">
                                                <input type="number" value="<?php echo e($item->cost); ?>"  min="0" name="costs[]" required class="form-control" />
                                            </div>
                                            
                                        </div>
                                    </div>
                                <?php $count++; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label>Content*</label>
                                    <textarea name="content" rows="5" required class="form-control"><?php echo e($data->content); ?></textarea>
                                </div>
                            </div>
                            
                        </div>                        
                    </div>
                </div>
            </div>
            <div class="col-md-10 col-12">
                <div class="form-actions">
                    <div class="text-center">
                        <button type="submit" class="btn btn-info">Update</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        
        $("form#updateForm").on("submit", function(e){
            e.preventDefault();
            let formData = new FormData($("form#updateForm")[0]);
            let url = $(this).attr("action");
            postRequest("form#updateForm", url, true, null, formData);  
        });


        let count_div = 0;
        $(document).on("click", ".addItem", function(e){
            e.preventDefault();
            let content = 
            '<div class="row" data-item-id="'+count_div+'">'+
                '<div class="form-group col-md-5">'+
                    '<input type="text" name="names[]" required class="form-control" />'+
                '</div>'+
                
                '<div class="form-group col-md-5">'+
                    '<input type="number" min="0" name="costs[]" required class="form-control" />'+
                '</div>'+
                
                '<div class="form-group col-md-2 d-flex d-jc-c d-ai-c">'+
                    '<button data-delete-item="'+count_div+'" class="removeItem btn btn-dark">x</button>'+
                '</div>'+
            '</div>';
            $(".items").append(content);
            count_div++;
        });

        $(document).on("click", ".removeItem", function(e){
            e.preventDefault();
            const id = $(this).attr("data-delete-item");
            $(".items [data-item-id='"+id+"']").remove();
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\NexomosProjetcs\sara\backend\resources\views/admin/update/therapies.blade.php ENDPATH**/ ?>