<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>LeaderShift | <?php echo $__env->yieldContent('title'); ?></title>
  
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/required.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/imp.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/owl.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/chosen.min.css')); ?>">

    <!-- Your Css Will go here -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('website/css/style.css')); ?>">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <!-- End -->
    
    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    
    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
    
    <!-- FontAwesome -->
    <script src="https://kit.fontawesome.com/ffd69a8ba9.js" crossorigin="anonymous"></script>
    
    <!-- Owl Slider -->
    <script type="text/javascript" src="<?php echo e(asset('required/js/owl.js')); ?>"></script>

    <!-- SweetAlert -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>

    <?php echo $__env->yieldContent('styles'); ?>
</head>

<body>

    <div class="overlay"></div>
    <div class="loader-spinner">
        <img src="<?php echo e(asset('required/loaders/puff.svg')); ?>" width="100" alt="">
    </div>

    <?php echo $__env->yieldContent('content'); ?>

    <?php if(auth()->guard("user")->check()): ?>
        
    <?php endif; ?>
    

    <!-- Axios -->
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>    
    <!-- Jquery -->
    <script src="<?php echo e(asset('required/js/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('required/js/chosen.jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('required/js/required.js')); ?>"></script>     


    <script src="<?php echo e(asset('website/js/main.js')); ?>"></script>
    <script src="<?php echo e(asset('website/js/script.js')); ?>"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.3/moment.min.js"  crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.5.3/jspdf.min.js"></script>
    <script type="text/javascript" src="https://html2canvas.hertzen.com/dist/html2canvas.js"></script>
    <form id="blankForm">
        <input type="submit" value="Submit" hidden >
    </form>

    <script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    </script>

    <?php echo $__env->yieldContent('scripts'); ?>
</body>
</html><?php /**PATH /home/nexodev1221/public_html/leadershift/core/resources/views/website/layouts/master.blade.php ENDPATH**/ ?>