

<?php $__env->startSection('style'); ?>
  <style>
    @media  only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }

.bt {
    border: 3px solid #1a1a1a;
    display: inline-block;
    padding: 2px 10px;
    position: relative;
    text-align: center;
    transition: background 600ms ease, color 600ms ease;
}

input[type=radio].toggle {
  display: none;
}
input[type=radio].toggle + label {
  cursor: pointer;
  min-width: 60px;
}
input[type=radio].toggle + label:hover {
  background: none;
  color: #1a1a1a;
}
input[type=radio].toggle + label:after {
  background: #1a1a1a !important;
  content: "";
  height: 100%;
  position: absolute;
  top: 0;
  transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
  width: 100%;
  z-index: -1;
}
input[type=radio].toggle.toggle-left + label {
  border-right: 0;
}
input[type=radio].toggle.toggle-left + label:after {
  left: 100%;
}
input[type=radio].toggle.toggle-right + label {
  margin-left: -5px;
}
input[type=radio].toggle.toggle-right + label:after {
  left: -100%;
}
input[type=radio].toggle:checked + label {
  cursor: default;
  color: #fff;
  transition: color 200ms;
  background-color: #1a1a1a
}
input[type=radio].toggle:checked + label:after {
  left: 0;
}


textarea{
    resize: none;
}
  </style>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('panel'); ?>
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Add Property</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('admin.dashboard')); ?>">Home</a>
                        </li>
                        <li class="breadcrumb-item text-muted">
                            Property
                        </li>
                        <li class="breadcrumb-item text-muted active" aria-current="page">Add Property</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <form id="createForm" method="POST">
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Add Property</h4>
                                </div>
                            </div>
                            <div class="row">
                                
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Name*</label>
                                        <input type="text" class="form-control" required name="name" placeholder="Property Name">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Location*</label>
                                        <select name="neighborhood_id"  class="form-control" id="" required>
                                            <?php $__currentLoopData = $places; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Address*</label>
                                        <input type="text" class="form-control" required name="address" placeholder="Property Address">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Public Transit*</label>
                                        <textarea name="public_transit" id="" required class="form-control" placeholder="Public Transit" rows="3"></textarea>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Downtown*</label>
                                        <textarea name="downtown" id="" required class="form-control" placeholder="Downtown" rows="3"></textarea>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Select Property Amenities*</label>
                                        <select class="js-example-basic-multiple-limit form-control" multiple name="properties_amenities[]">
                                            <?php $__currentLoopData = $amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Google Map Embed Code</label>
                                        <textarea name="google_map_code" id="" class="form-control" placeholder="Google Map Embed URL" rows="3"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Wheel Chair Access*</label><br>
                                    <input id="toggle-on" class="toggle toggle-left" name="wheelchair_access" value="10" type="radio" checked>
                                    <label for="toggle-on" class="bt">Available</label>
                                    <input id="toggle-off" class="toggle toggle-right" name="wheelchair_access" value="20" type="radio">
                                    <label for="toggle-off" class="bt">Not Available</label>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Elevators*</label><br>
                                    <input id="toggle-on-e" class="toggle toggle-left" name="elevators" value="10" type="radio" checked>
                                    <label for="toggle-on-e" class="bt">Available</label>
                                    <input id="toggle-off-e" class="toggle toggle-right" name="elevators" value="20" type="radio">
                                    <label for="toggle-off-e" class="bt">Not Available</label>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Discount</label>
                                    <div class="input-group mb-3">
                                        <input type="number" min="0" class="form-control" name="discount" placeholder="Property Discount">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelect01">%</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Status*</label><br>
                                    <input id="toggle-on-s" class="toggle toggle-left" name="status" value="1" type="radio" checked>
                                    <label for="toggle-on-s" class="bt">Active</label>
                                    <input id="toggle-off-s" class="toggle toggle-right" name="status" value="2" type="radio">
                                    <label for="toggle-off-s" class="bt">Inactive</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Description*</h4>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="description" class="description form-control" cols="30" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Parking*</h4>
                                </div>
                                 <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="parking" class="parking form-control" cols="30" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Please Note*</h4>
                                </div>
                                 <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="please_note" class="please_note form-control" cols="30" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="form-actions">
                    <div class="text-center">
                        <button type="submit" class="form-control btn-info">Add Property</button>
                    </div>
                </div>
            </div>
        </div>

    </form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        
        var parking, description, please_note;

        ClassicEditor
            .create( document.querySelector( '#description' ) )
            .then(value=>{
                description = value;
            })
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#parking' ) )
            .then(value=>{
                parking = value;
            })
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#please_note' ) )
            .then(value=>{
                please_note = value;
            })
            .catch( error => {
                console.error( error );
            } );

        $("form#createForm").on("submit", function(e){
            e.preventDefault();
            let formData = new FormData($("form#createForm")[0]);
            formData.append("desc", description.getData());
            formData.append("parking", parking.getData());
            formData.append("please_note", please_note.getData());
            postRequest("form#createForm", "<?php echo e(route('admin.properties.store')); ?>", true, null, formData);  
        });

        // In your Javascript (external .js resource or <script> tag)
        $(document).ready(function() {
            $('.js-example-basic-multiple-limit').select2();
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Other Projects\Bon Voyage\backend\resources\views/admin/create/properties.blade.php ENDPATH**/ ?>