<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    
    <!-- Favicon icon -->
    <link rel="icon" href="<?php echo e(asset('website/images/absol.jpg')); ?>" type="image/png" sizes="16x16">
    
    <title>Pirya Therapy | Admin Login</title>
    
    <!-- Custom CSS -->
    <link href="<?php echo e(asset('admin/assets/extra-libs/c3/c3.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin/assets/libs/chartist/dist/chartist.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin/assets/extra-libs/jvector/jquery-jvectormap-2.0.2.css')); ?>" rel="stylesheet" />
    
    <!-- My Own Custom Css -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/required.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('required/css/imp.css')); ?>">

    <!-- Custom CSS -->
    <link href="<?php echo e(asset('admin/dist/css/style.css')); ?>" rel="stylesheet">
</head>

<body>
    
    <div class="main-wrapper">
        <!-- ============================================================== -->
        <!-- Preloader - style you can find in spinners.css -->
        <!-- ============================================================== -->
        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- Preloader - style you can find in spinners.css -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Login box.scss -->
        <!-- ============================================================== -->
        <div class="auth-wrapper d-flex no-block justify-content-center align-items-center position-relative"
            style="background:url('<?php echo e(asset('admin/assets/images/big/auth-bg.jpg')); ?>') no-repeat center center;">
            <div class="auth-box row">
                <div class="col-lg-7 col-md-5 modal-bg-img" style="background-image: url('<?php echo e(asset('admin/assets/images/admin.jpg')); ?>');">
                </div>
                <div class="col-lg-5 col-md-7 bg-white">
                    <div class="p-3">
                        <div class="text-center">
                            <img src="<?php echo e(asset('/admin/assets/images/big/icon.png')); ?>" alt="wrapkit">
                        </div>
                        <h2 class="mt-3 text-center">Sign In</h2>
                        <p class="text-center">Enter your email address and password to access admin panel.</p>
                        <form class="mt-4" id="userLoginForm" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label class="text-dark" for="uname">Email</label>
                                        <input class="form-control" id="uname" type="text" name="email" placeholder="Enter Your Email">
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label class="text-dark" for="pwd">Password</label>
                                        <input class="form-control" id="pwd" type="password" name="password" placeholder="Enter Your Password">
                                    </div>
                                </div>
                                <div class="col-lg-12 text-center">
                                    <button type="submit" class="btn btn-block btn-dark">Sign In</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- Login box.scss -->
        <!-- ============================================================== -->
    </div>

    <script src="<?php echo e(asset('admin/assets/libs/jquery/dist/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/assets/libs/popper.js/dist/umd/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/assets/libs/bootstrap/dist/js/bootstrap.min.js')); ?>"></script>
    
    <!-- apps -->
    <!-- apps -->
    <script src="<?php echo e(asset('admin/dist/js/app-style-switcher.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/dist/js/feather.min.js')); ?>"></script>

    <script src="<?php echo e(asset('admin/assets/libs/perfect-scrollbar/dist/perfect-scrollbar.jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/dist/js/sidebarmenu.js')); ?>"></script>
    
    <!--Custom JavaScript -->
    <script src="<?php echo e(asset('admin/dist/js/custom.min.js')); ?>"></script>
    
    
    <!--This page JavaScript -->
    <script src="<?php echo e(asset('admin/assets/extra-libs/c3/d3.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/assets/extra-libs/c3/c3.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/assets/extra-libs/jvector/jquery-jvectormap-2.0.2.min.js')); ?>"></script>
    
    <script src="<?php echo e(asset('admin/assets/extra-libs/jvector/jquery-jvectormap-world-mill-en.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/dist/js/pages/dashboards/dashboard1.min.js')); ?>"></script>

    <script src="<?php echo e(asset('required/js/sweetalert.min.js')); ?>"></script>


    <!-- Axios -->
    <script src="<?php echo e(asset('required/js/axios.min.js')); ?>"></script>
        
    <!-- Jquery -->
    <script src="<?php echo e(asset('required/js/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('required/js/required.js')); ?>"></script>
    <script>
        $("form#userLoginForm").on("submit", function(e){
            e.preventDefault();
            postRequest("form#userLoginForm", "<?php echo e(route('AdminUserLogin')); ?>");
        });
    </script>
</body>
</html><?php /**PATH E:\NexomosProjetcs\sara\backend\resources\views/admin/login.blade.php ENDPATH**/ ?>