

<?php $__env->startSection('style'); ?>
  <style>
    @media  only screen and (max-width: 767px){
        .float-right{
            margin-top: 10px;
            width: 100%;
        }
    }

.bt {
    border: 3px solid #1a1a1a;
    display: inline-block;
    padding: 2px 10px;
    position: relative;
    text-align: center;
    transition: background 600ms ease, color 600ms ease;
}

input[type=radio].toggle {
  display: none;
}
input[type=radio].toggle + label {
  cursor: pointer;
  min-width: 60px;
}
input[type=radio].toggle + label:hover {
  background: none;
  color: #1a1a1a;
}
input[type=radio].toggle + label:after {
  background: #1a1a1a !important;
  content: "";
  height: 100%;
  position: absolute;
  top: 0;
  transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
  width: 100%;
  z-index: -1;
}
input[type=radio].toggle.toggle-left + label {
  border-right: 0;
}
input[type=radio].toggle.toggle-left + label:after {
  left: 100%;
}
input[type=radio].toggle.toggle-right + label {
  margin-left: -5px;
}
input[type=radio].toggle.toggle-right + label:after {
  left: -100%;
}
input[type=radio].toggle:checked + label {
  cursor: default;
  color: #fff;
  transition: color 200ms;
  background-color: #1a1a1a
}
input[type=radio].toggle:checked + label:after {
  left: 0;
}


textarea{
    resize: none;
}
  </style>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('panel'); ?>
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 align-self-center">
            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Update Property</h3>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb m-0 p-0">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('admin.dashboard')); ?>">Home</a>
                        </li>
                        <li class="breadcrumb-item text-muted">
                            Property
                        </li>
                        <li class="breadcrumb-item text-muted active" aria-current="page"><?php echo e($data->name); ?></li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-12">
            <div class="card">
                <div class="card-body">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <h4 class="card-title md-40">Property Image Gallery* <a href="#" class="btn btn-primary btn-sm customModalBtn float-right" data-modal="#addImageModal">Add Image</a></h4>
                            </div>
                                <div class="col-md-12">
                                <div class="form-group">
                                    <div class="row">
                                        <?php $__currentLoopData = $property_images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-4">
                                            <div class="image">
                                                <img src="<?php echo e(asset('website/property_images/'.$item->image_src)); ?>" style="width: 200px; margin: auto;display: block;" alt="" srcset="">
                                                <form action="<?php echo e(route('admin.property_images.destroy',['property_image'=>$item->id] )); ?>" class="deleteDataForm" data-id="<?php echo e($item->id); ?>" method="POST">
                                                    <?php echo method_field('delete'); ?>
                                                    <input type="hidden" name="propert_id" value="<?php echo e($item->id); ?>">
                                                    <button type="submit" class="btn btn-primary btn-sm t-center d-center" style="display: block; margin: auto; margin-top: 10px;">Delete</button>
                                                </form>
                                            </div>    
                                        </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <form id="updateForm" action="<?php echo e(route('admin.properties.update', ["property"=>$data->id])); ?>" method="POST">
        <?php echo method_field('put'); ?>
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Update Property</h4>
                                </div>
                            </div>
                            <div class="row">
                                
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Name*</label>
                                        <input type="text" class="form-control" required name="name" value="<?php echo e($data->name); ?>" placeholder="Property Name">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Location*</label>
                                        <select name="neighborhood_id"  class="form-control" id="" required>
                                            <?php $__currentLoopData = $places; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option <?php echo e($data->neighborhood_id == $item->id ? "selected" : ""); ?> value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Address*</label>
                                        <input type="text" class="form-control" value="<?php echo e($data->address); ?>" required name="address" placeholder="Property Address">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Public Transit*</label>
                                        <input type="text" name="public_transit" required class="form-control" placeholder="Public Transit" value="<?php echo e($data->public_transit); ?>">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Downtown*</label>
                                        <input type="text" name="downtown" required class="form-control" placeholder="Downtown" value="<?php echo e($data->downtown); ?>">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Select Property Amenities*</label>
                                        <select class="js-example-basic-multiple-limit form-control" multiple name="properties_amenities[]">
                                            <?php $__currentLoopData = $amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?Php $isSelected = 0; ?>

                                                <?php $__currentLoopData = $property_amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pa): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($pa->amenity_id == $item->id): ?>
                                                        <option value="<?php echo e($item->id); ?>" selected><?php echo e($item->name); ?></option>
                                                        <?php $isSelected++; ?>
                                                        <?php break; ?>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                <?php if($isSelected == 0): ?>
                                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                                    <?php $isSelected == 0; ?>
                                                <?php endif; ?>

                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Google Map Embed Code</label>
                                        <input type="text" name="google_map_code" class="form-control" placeholder="Google Map Embed URL" value="<?php echo e($data->google_map_code); ?>">
                                    </div>
                                </div>
                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Wheel Chair Access*</label><br>
                                    <input id="toggle-on" class="toggle toggle-left" name="wheelchair_access" value="10" type="radio" <?php echo e($data->wheelchair_access == 10 ? "checked" : ""); ?>>
                                    <label for="toggle-on" class="bt">Available</label>
                                    <input id="toggle-off" class="toggle toggle-right" name="wheelchair_access" value="20" type="radio" <?php echo e($data->wheelchair_access == 20 ? "checked" : ""); ?>>
                                    <label for="toggle-off" class="bt">Not Available</label>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Elevators*</label><br>
                                    <input id="toggle-on-e" class="toggle toggle-left" name="elevators" value="10" type="radio" <?php echo e($data->elevators == 10 ? "checked" : ""); ?>>
                                    <label for="toggle-on-e" class="bt">Available</label>
                                    <input id="toggle-off-e" class="toggle toggle-right" name="elevators" value="20" type="radio" <?php echo e($data->elevators == 20 ? "checked" : ""); ?>>
                                    <label for="toggle-off-e" class="bt">Not Available</label>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Discount</label>
                                    <div class="input-group mb-3">
                                        <input type="number" min="0" value="<?php echo e($data->discount); ?>" class="form-control" name="discount" placeholder="Property Discount">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelect01">%</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Status*</label><br>
                                    <input id="toggle-on-s" class="toggle toggle-left" name="status" value="1" type="radio" <?php echo e($data->status == 1 ? "checked" : ""); ?>>
                                    <label for="toggle-on-s" class="bt">Active</label>
                                    <input id="toggle-off-s" class="toggle toggle-right" name="status" value="2" type="radio" <?php echo e($data->status == 2 ? "checked" : ""); ?>>
                                    <label for="toggle-off-s" class="bt">Inactive</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Description*</h4>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="description" class="description form-control" cols="30" rows="10">
                                            <?php echo e($data->desc); ?>

                                        </textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Parking*</h4>
                                </div>
                                 <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="parking" class="parking form-control" cols="30" rows="10">
                                            <?php echo e($data->parking); ?>

                                        </textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <h4 class="card-title md-40">Please Note*</h4>
                                </div>
                                 <div class="col-md-12">
                                    <div class="form-group">
                                        <textarea id="please_note" class="please_note form-control" cols="30" rows="10">
                                            <?php echo e($data->please_note); ?>

                                        </textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 col-12">
                <div class="form-actions">
                    <div class="text-center">
                        <button type="submit" class="form-control btn-info">Update Property</button>
                    </div>
                </div>
            </div>
        </div>

    </form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <?php echo $__env->make('admin.partials.modals.AddPropertyImage', $data, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script>
        
        var parking, description, please_note;

        ClassicEditor
            .create( document.querySelector( '#description' ) )
            .then(value=>{
                description = value;
            })
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#parking' ) )
            .then(value=>{
                parking = value;
            })
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#please_note' ) )
            .then(value=>{
                please_note = value;
            })
            .catch( error => {
                console.error( error );
            } );

        $("form#updateForm").on("submit", function(e){
            e.preventDefault();
            let formData = new FormData($("form#updateForm")[0]);
            formData.append("desc", description.getData());
            formData.append("parking", parking.getData());
            formData.append("please_note", please_note.getData());

            let url = $(this).attr("action");
            postRequest("form#updateForm", url, true, null, formData); 
        });

        // In your Javascript (external .js resource or <script> tag)
        $(document).ready(function() {
            $('.js-example-basic-multiple-limit').select2();
        });

        $("form.deleteDataForm").on("click", function(e){
            e.preventDefault();
            let getDataId = $(this).attr("data-id");
            let url = $(this).attr("action");
            postRequest("form.deleteDataForm[data-id="+getDataId+"]", url);        
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\Other Projects\Bon Voyage\backend\resources\views/admin/update/properties.blade.php ENDPATH**/ ?>